# coding: utf-8

import os

from tempfile import gettempdir
from functools import wraps


BASE_DIR = os.path.dirname(__file__)


def decorate_secret_key_generator():
    from horizon.utils import secret_key

    def decorate(fn):
        @wraps(fn)
        def wrapped(key_file='.secret_key', key_length=64):
            key_file = gettempdir() + os.path.abspath(key_file)
            return fn(key_file, key_length)
        return wrapped

    secret_key.generate_or_read_from_file = decorate(
        secret_key.generate_or_read_from_file)


def check_configuration():
    result = True
    cfg_path = ('/usr/share/openstack-dashboard/openstack_dashboard/local/'
                'local_settings.py')
    try:
        os.stat(cfg_path)
    except OSError:
        result = False
    return result
