# coding: utf-8
from django.conf import settings

from tionix_dashboard.clients.base import TNXBaseNovaClient
from tionix_dashboard.clients.helpers import expected_402_404
from tionix_dashboard.dashboards.license import LicenseController


class TNXAggregatesClient(TNXBaseNovaClient):

    resource = 'tnx_aggregates'

    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT, lic_type=LicenseController.CLOUD_CONTROL)
    def set_balancing(cls, request, aggregate, allow_balancing):
        return cls.get_resource(request).balancing(aggregate, allow_balancing)
