# coding: utf-8

from django.conf import settings

from tionix_dashboard.clients.base import TNXBaseNovaClient, novaclient
from tionix_dashboard.clients.helpers import expected_402_404
from tionix_dashboard.dashboards.license import LicenseController


class TNXBackupTemplatesClient(TNXBaseNovaClient):
    """Client for backup templates"""

    resource = 'tnx_backup_templates'

    # pylint: disable=arguments-differ
    # noinspection PyMethodOverriding
    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT, lic_type=LicenseController.MONITOR)
    def get(cls, request, identifier):
        return super(TNXBackupTemplatesClient, cls).get(request,
                                                        identifier)

    # pylint: disable=arguments-differ
    @classmethod
    def get_client(cls, request, use_admin=False):
        return novaclient(request, use_admin=use_admin)

    @classmethod
    @expected_402_404(redirect=settings.WEBROOT,
                      lic_type=LicenseController.MONITOR)
    def list(cls, request, **kwargs):
        return super(TNXBackupTemplatesClient, cls).list(request, **kwargs)

    @classmethod
    @expected_402_404(redirect=settings.WEBROOT,
                      lic_type=LicenseController.MONITOR)
    def create(cls, request, **kwargs):
        return cls.get_resource(request).create(**kwargs)

    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT, lic_type=LicenseController.MONITOR)
    def delete(cls, request, identifier):
        return cls.get_resource(request).delete(identifier)
