# coding: utf-8

from tionix_client.domain_config import DomainConfigManager

from tionix_dashboard.clients.base import domain_keystoneclient


class TNXDomainConfigClient(object):
    """Client for domain config"""

    @classmethod
    def get_client(cls, request):
        return domain_keystoneclient(request)

    # noinspection PyProtectedMember
    @classmethod
    def get_resource(cls, request):
        return DomainConfigManager(cls.get_client(request)._adapter)

    @classmethod
    def get_config_body(cls, config):
        return {
            "config": {
                "ldap": config
            }
        }

    @classmethod
    def get(cls, request, domain_id):
        return cls.get_resource(request).get(domain=domain_id)

    @classmethod
    def create(cls, request, domain_id, config):
        return cls.get_resource(request).create(
            domain=domain_id,
            config=cls.get_config_body(config)
        )

    @classmethod
    def update(cls, request, domain_id, config):
        return cls.get_resource(request).update(
            domain=domain_id,
            config=cls.get_config_body(config)
        )

    @classmethod
    def delete(cls, request, domain_id):
        return cls.get_resource(request).delete(domain=domain_id)
