# coding: utf-8

from django.conf import settings

from tionix_dashboard.clients.base import TNXBaseNovaClient
from tionix_dashboard.clients.helpers import expected_402_404
from tionix_dashboard.dashboards.license import LicenseController


class TNXHostsClient(TNXBaseNovaClient):

    resource = 'hosts'

    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT, lic_type=LicenseController.CLOUD_CONTROL)
    def reset_hosts(
            cls, request, hosts, allow_off_vm, allow_evacuate, in_sequence):
        return cls.get_resource(request).restart_hosts(
            hosts, allow_off_vm, allow_evacuate, in_sequence)
