# coding: utf-8

from django.conf import settings

from tionix_dashboard.clients.base import TNXBaseNovaClient
from tionix_dashboard.clients.helpers import expected_402_404
from tionix_dashboard.dashboards.license import LicenseController


class TNXPowerDevicesClient(TNXBaseNovaClient):
    """Client for tnx power devices"""

    resource = 'power_controls'

    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT, lic_type=LicenseController.NODE_CONTROL)
    def count(cls, request, **kwargs):
        return super(TNXPowerDevicesClient, cls).count(request, **kwargs)

    # pylint: disable=arguments-differ
    # noinspection PyMethodOverriding
    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT, lic_type=LicenseController.NODE_CONTROL)
    def get(cls, request, identifier):
        return super(TNXPowerDevicesClient, cls).get(request, identifier)

    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT, lic_type=LicenseController.NODE_CONTROL)
    def list(cls, request, **kwargs):
        return super(TNXPowerDevicesClient, cls).list(request, **kwargs)

    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT, lic_type=LicenseController.NODE_CONTROL)
    def create(cls, request, **kwargs):
        return cls.get_resource(request).create(**kwargs)

    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT, lic_type=LicenseController.NODE_CONTROL)
    def update(cls, request, identifier, **kwargs):
        return super(TNXPowerDevicesClient, cls).update(
            request, identifier, **kwargs)

    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT, lic_type=LicenseController.NODE_CONTROL)
    def power_device_delete(cls, request, identifier):
        return cls.get_resource(request).delete(identifier)

    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT, lic_type=LicenseController.NODE_CONTROL)
    def power_device_assigned_nodes(cls, request, power_device_id):
        return cls.get_resource(request).assigned_nodes(power_device_id)

    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT, lic_type=LicenseController.NODE_CONTROL)
    def types_list(cls, request):
        return cls.get_resource(request).types()

    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT, lic_type=LicenseController.NODE_CONTROL)
    def protocols_list(cls, request):
        return cls.get_resource(request).protocols()
