# coding: utf-8

from django.conf import settings

from tionix_dashboard.clients.base import TNXBaseNovaClient
from tionix_dashboard.clients.helpers import expected_402_404
from tionix_dashboard.dashboards.license import LicenseController


class TNXPXEImagesClient(TNXBaseNovaClient):
    """Client for tnx pxe images"""

    resource = 'tnx_pxe_images'

    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT, lic_type=LicenseController.NODE_CONTROL)
    def get(cls, request, identifier):
        return super(TNXPXEImagesClient, cls).get(request, identifier)

    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT, lic_type=LicenseController.NODE_CONTROL)
    def list(cls, request, **kwargs):
        return super(TNXPXEImagesClient, cls).list(request, **kwargs)

    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT, lic_type=LicenseController.NODE_CONTROL)
    def create(cls, request, **kwargs):
        return cls.get_resource(request).create(**kwargs)

    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT, lic_type=LicenseController.NODE_CONTROL)
    def delete(cls, request, identifier):
        return cls.get_resource(request).delete(identifier)
