# coding: utf-8

from django.conf import settings

from openstack_dashboard.api import base

from tionix_dashboard.clients.base import TNXBaseNovaClient
from tionix_dashboard.clients.helpers import expected_402_404
from tionix_dashboard.dashboards.license import LicenseController


class TNXSessionsClient(TNXBaseNovaClient):
    """Client for tnx sessions"""

    resource = 'tnx_sessions'

    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT,
        lic_type=LicenseController.VDI)
    def list(cls, request, **kwargs):
        sessions = super(TNXSessionsClient, cls).list(request, **kwargs)
        return [TnxSession(obj) for obj in sessions]

    @classmethod
    @expected_402_404(
        redirect=settings.WEBROOT,
        lic_type=LicenseController.VDI)
    def create(cls, request, **kwargs):
        return cls.get_resource(request).create(**kwargs)


class TnxSession(base.APIResourceWrapper):

    _attrs = ['id', 'user_name', 'created_at', 'closed_at', 'client_info',
              'client_os', 'client_ip', 'connection_type', 'server_id']
