# coding: utf-8
import logging
from django.utils.translation import ugettext_lazy as _

from horizon import exceptions

from openstack_dashboard.dashboards.admin.aggregates import constants, views
from openstack_dashboard.dashboards.admin.aggregates import (
    tables as os_project_tables)

from tionix_dashboard.clients.aggregates import TNXAggregatesClient
from tionix_dashboard.dashboards.admin.aggregates import (
    workflows, forms, tables)


logger = logging.getLogger(__name__)


class CreateView(views.CreateView):
    workflow_class = workflows.CreateAggregateWorkflow
    template_name = constants.AGGREGATES_CREATE_VIEW_TEMPLATE
    page_title = _("Create Host Aggregate")


class UpdateView(views.UpdateView):
    form_class = forms.UpdateAggregateForm


class IndexView(views.IndexView):
    table_classes = (tables.HostAggregatesTable,
                     os_project_tables.AvailabilityZonesTable)

    def get_host_aggregates_data(self):
        aggregates = []
        try:
            aggregates = TNXAggregatesClient.list(self.request)
        except Exception as err:
            logger.error(unicode(err))
            exceptions.handle(self.request,
                              _('Unable to retrieve host aggregates list.'))
        aggregates.sort(key=lambda aggregate: aggregate.name.lower())
        return aggregates
