# coding: utf-8

"""Admin flavors tables"""

from openstack_dashboard.dashboards.admin.flavors import (
    tables as flavor_tables)

from tionix_dashboard.dashboards.admin.flavors import actions
from tionix_dashboard.helpers.actions import TnxBatchActionMixin
from tionix_dashboard.helpers.tables import (
    TnxPaginationDataTable, TnxLocalPaginationDataTableMixin)


class DeleteFlavor(TnxBatchActionMixin, flavor_tables.DeleteFlavor):
    pass


class FlavorsTable(TnxLocalPaginationDataTableMixin,
                   TnxPaginationDataTable,
                   flavor_tables.FlavorsTable):
    """Flavors tables"""

    class Meta(flavor_tables.FlavorsTable.Meta):
        table_actions = (
            actions.TnxAdminFlavorsFilterAction,
            flavor_tables.CreateFlavor,
            DeleteFlavor
        )
        table_actions_menu = (actions.ModifyAccessMultiAction,)
        row_actions = (flavor_tables.UpdateFlavor,
                       flavor_tables.ModifyAccess,
                       flavor_tables.UpdateMetadata,
                       DeleteFlavor)
