# coding: utf-8

"""Admin flavors tests"""

from openstack_dashboard.test.helpers import BaseAdminViewTests

from tionix_dashboard.dashboards.admin.flavors import tables


class TnxAdminFlavorsTablesTest(BaseAdminViewTests):

    def test_tnx_volumes_columns(self):

        table = tables.FlavorsTable(self.request)

        self.assertListEqual(
            sorted(table.columns.keys()),
            sorted(
                ['multi_select', 'name', 'vcpus', 'ram', 'disk', 'ephemeral',
                 'swap', 'rxtx_factor', 'flavor_id', 'public', 'extra_specs',
                 'actions']
            )
        )

    def test_tnx_volumes_actions(self):
        flavors = self.flavors.list()

        table = tables.FlavorsTable(self.request, data=flavors)

        self.assertListEqual(
            sorted([action.name for action in table.get_table_actions()]),
            sorted(['filter_admin_flavors', 'create', 'delete',
                    'multi_modify_access'])
        )

    def test_tnx_volumes_row_actions(self):
        flavor = self.flavors.first()

        table = tables.FlavorsTable(self.request)

        self.assertListEqual(
            sorted([action.name for action in table.get_row_actions(flavor)]),
            sorted(['update', 'projects', 'update_metadata', 'delete'])
        )
