# coding: utf-8

from django.utils.translation import ugettext_lazy as _

from horizon import tables

from tionix_dashboard.templatetags.tionix_tags import format_date
from tionix_dashboard.dashboards.admin.hypervisors import constants
from tionix_dashboard.journal.tables import (
    STATUS_DISPLAY_CHOICES, ACTION_DISPLAY_CHOICES)


class AuditTable(tables.DataTable):
    action_id = tables.Column('id', verbose_name=_('Action ID'))
    action = tables.Column(
        'action', verbose_name=_('Action'),
        display_choices=(
            constants.ACTION_DISPLAY_CHOICES + ACTION_DISPLAY_CHOICES))
    created_at = tables.Column('event_time', verbose_name=_('Start time'),
                               filters=(format_date, ))
    user_name = tables.Column(
        'user_name', verbose_name=_('User name'))
    status = tables.Column(
        'status', verbose_name=_('Result'),
        display_choices=STATUS_DISPLAY_CHOICES)
    result = tables.Column('message', verbose_name=_('Result details'))

    class Meta(object):
        verbose_name = _('Hypervisor Action List')
        name = 'audit'
