# coding: utf-8

from django.utils.translation import pgettext_lazy
from django.utils.translation import ugettext_lazy as _

from horizon import tables

from openstack_dashboard.dashboards.admin.hypervisors.compute import (
    tables as dash_tables)


# noinspection PyClassHasNoInit
class ComputeHostTable(dash_tables.ComputeHostTable):
    STATUS_CHOICES = (
        ("enabled", True),
        ("disabled", False),
        ("up", True),
        ("down", False),
    )
    STATUS_DISPLAY_CHOICES = (
        ("enabled", pgettext_lazy("Current status of a Hypervisor",
                                  u"Enabled")),
        ("disabled", pgettext_lazy("Current status of a Hypervisor",
                                   u"Disabled")),
        ("up", pgettext_lazy("Current state of a Hypervisor",
                             u"Up")),
        ("down", pgettext_lazy("Current state of a Hypervisor",
                               u"Down")),
    )

    status = tables.Column('status',
                           status=True,
                           status_choices=STATUS_CHOICES,
                           display_choices=STATUS_DISPLAY_CHOICES,
                           verbose_name=_('Status'))
    state = tables.Column('state',
                          status=True,
                          status_choices=STATUS_CHOICES,
                          display_choices=STATUS_DISPLAY_CHOICES,
                          verbose_name=_('State'))

    class Meta(object):
        name = "compute_host"
        verbose_name = _("Compute Host")
        table_actions = (dash_tables.ComputeHostFilterAction,)
        multi_select = False
        row_actions = (
            dash_tables.EvacuateHost,
            dash_tables.DisableService,
            dash_tables.EnableService,
            dash_tables.MigrateMaintenanceHost
        )
