# coding: utf-8

"""Hypervisor images tables"""

from django.utils.translation import ugettext_lazy as _

from horizon import tables

from tionix_dashboard.dashboards.admin.hypervisors.images import actions
from tionix_dashboard.helpers.actions import TnxFilterAction


class AdminHypervisorImagesTable(tables.DataTable):
    """Hypervisor images table"""

    id = tables.Column('id', verbose_name=_('Image ID'))
    image_name = tables.Column('image_name', verbose_name=_('Image name'))

    class Meta(object):
        name = 'hypervisor_images'
        verbose_name = _('Hypervisor images')
        table_actions = (TnxFilterAction,
                         actions.CreateHypervisorImageAction)
        table_actions_menu = (actions.DeleteHypervisorImageAction,)
        row_actions = (actions.DeleteHypervisorImageAction,
                       actions.ExtraHypervisorImageAction)
