# coding: utf-8

from tionix_dashboard.dashboards.admin.hypervisors.images import tables
from tionix_dashboard.tests.helpers import BaseClientTestCase


class HypervisorImagesTablesTest(BaseClientTestCase):

    def test_hyp_images_table(self):

        table = tables.AdminHypervisorImagesTable(self.request)

        self.assertListEqual(
            sorted(table.columns.keys()),
            sorted(['multi_select', 'id', 'image_name', 'actions'])
        )

    def test_hyp_images_actions(self):
        images = self.tnx_images.list()

        table = tables.AdminHypervisorImagesTable(self.request, data=images)

        self.assertListEqual(
            sorted([action.name for action in table.get_table_actions()]),
            sorted(['filter', 'create', 'delete'])
        )

    def test_hyp_images_row_actions(self):
        image = self.tnx_images.list()[0]

        table = tables.AdminHypervisorImagesTable(self.request)

        self.assertListEqual(
            sorted([action.name for action in table.get_row_actions(image)]),
            sorted(['delete', 'image_extra'])
        )
