# coding: utf-8

from django.utils.translation import ugettext_lazy as _

from horizon import tables

from openstack_dashboard.dashboards.admin.hypervisors import (
    tables as admin_tables
)

from tionix_dashboard.helpers.tables import TnxPaginationDataTable


# noinspection PyClassHasNoInit
class TnxAdminResourcesTable(TnxPaginationDataTable,
                             admin_tables.AdminHypervisorsTable):

    hostname = tables.Column("hypervisor_hostname",
                             link="horizon:admin:hypervisors:resources:detail",
                             verbose_name=_("Hostname"))

    def get_object_id(self, hypervisor):
        return "%s_%s" % (hypervisor.tnx_node_id,
                          hypervisor.hypervisor_hostname)

    class Meta(object):
        name = "resources"
        verbose_name = _("Resources")
        pagination_param = 'resources_marker'
        prev_pagination_param = 'prev_resources_marker'


# noinspection PyClassHasNoInit
class AdminHypervisorInstancesTable(
        admin_tables.AdminHypervisorInstancesTable):
    name = tables.Column("name",
                         link="horizon:admin:instances:detail",
                         verbose_name=_("Host Instance Name"))

    class Meta(object):
        name = "hypervisor_instances"
        verbose_name = _("Hypervisor Instances")
