# coding: utf-8

from tionix_dashboard.dashboards.admin.hypervisors.resources.tables import (
    TnxAdminResourcesTable)
from tionix_dashboard.tests.helpers import BaseAdminClientTestCase


class TnxAdminResourcesTablesTestCase(BaseAdminClientTestCase):

    def test_columns(self):

        table = TnxAdminResourcesTable(self.request)

        self.assertListEqual(
            sorted(table.columns.keys()),
            sorted(['hostname', 'hypervisor_type', 'vcpus_used', 'vcpus',
                    'memory_used', 'memory', 'local_used', 'local',
                    'running_vms'])
        )

    def test_table_actions(self):
        resources = self.tnx_hypervisors.list()

        table = TnxAdminResourcesTable(self.request, data=resources)

        self.assertListEqual(
            sorted([action.name for action in table.get_table_actions()]),
            sorted([])
        )

    def test_tnx_images_row_actions(self):
        table = TnxAdminResourcesTable(self.request)

        resource = self.tnx_hypervisors.list()[0]
        self.assertListEqual(
            sorted([action.name
                    for action in table.get_row_actions(resource)]),
            sorted([])
        )
