# coding: utf-8

from django.conf.urls import patterns, include
from django.conf.urls import url

from openstack_dashboard.dashboards.admin.hypervisors import urls

from tionix_dashboard.dashboards.admin.hypervisors import views
from tionix_dashboard.dashboards.admin.hypervisors.images import (
    urls as images_urls)
from tionix_dashboard.dashboards.admin.hypervisors.resources import (
    urls as resources_urls)


HYPERVISOR = r'^(?P<hypervisor_id>[^/]+)/%s'


nc_urls_tuple = (
    url(r'^$',
        views.TnxAdminHypervisorsIndexView.as_view(),
        name='index'),
    url(r'^\?tab=hypervisor_info__images_tab$',
        views.TnxAdminHypervisorsIndexView.as_view(), name='images_tab'),

    url(r'^assign_image',
        views.HypervisorMultiAssignImageView.as_view(),
        name='assign_image'),

    url(HYPERVISOR % r'extra/$',
        views.HypervisorExtraView.as_view(),
        name='extra'),

    url(r'^shutdown',
        views.HypervisorShutdownView.as_view(),
        name='shutdown'),

    url(r'^power_off',
        views.HypervisorPowerOffView.as_view(),
        name='power_off'),

    url(r'^restart',
        views.HypervisorRestartView.as_view(),
        name='restart'),

    url(r'^markreserved',
        views.HypervisorMarkReservedView.as_view(),
        name='markreserved'),

    url(r'^markrdevicedefault',
        views.mark_device_default,
        name='markrdevicedefault'),

    url(r'^update', views.HypervisorUpdateView.as_view(), name='update'),

    url(HYPERVISOR % r'$',
        views.HypervisorDetailView.as_view(),
        name='detail'),

    url(HYPERVISOR % r'\?tab=hypervisor_details__scheduler$',
        views.HypervisorDetailView.as_view(),
        name='scheduler_tab'),

    url(HYPERVISOR % 'assign_power_device/$',
        views.AssignPowerDeviceView.as_view(),
        name='assign_power_device'),

    url(r'images/', include(images_urls, namespace='images')),
    url(r'resources/', include(resources_urls, namespace='resources')),
)


urls_tuple = (
    url(r'^$',
        views.AdminIndexView.as_view(),
        name='index'),
    url(HYPERVISOR % r'$',
        views.AdminDetailView.as_view(),
        name='detail'),
)

_urlpatterns = patterns('', *(nc_urls_tuple + urls_tuple))

_urlpatterns.extend(urls.urlpatterns)
urls.urlpatterns = _urlpatterns
