# coding: utf-8

"""Admin images urls"""

from django.conf.urls import patterns
from django.conf.urls import url

from openstack_dashboard.dashboards.admin.images import urls

from tionix_dashboard.dashboards.admin.images import views


IMAGE_ID = r'^(?P<image_id>[^/]+)/%s/$'


urls_tuple = (
    url(r'^$', views.IndexView.as_view(), name='index'),
    url(IMAGE_ID % 'detail', views.DetailView.as_view(), name='detail'),
    url(r'^create/$', views.CreateView.as_view(), name='create'),
    url(IMAGE_ID % 'update', views.UpdateView.as_view(), name='update'),
    url(r'^multi_edit', views.MultiImageEditView.as_view(), name='multi_edit'),
)

_urlpatterns = patterns('', *urls_tuple)

_urlpatterns.extend(urls.urlpatterns)
urls.urlpatterns = _urlpatterns
