/**
 * Created by user on 02.05.17.
 */
/**
 * Created by user on 18.10.16.
 */
(function () {
  'use strict';

  var push = Array.prototype.push;

  /**
   * @ngdoc controller
   * @name LiveMigrateInstanceController
   * @description
   * The `LiveMigrateInstanceController` controller of live migration
   */
  angular.module('horizon.app')
    .controller('LiveMigrateInstanceController', LiveMigrateInstanceController);

  LiveMigrateInstanceController.$inject = [
    '$window',
    '$sce',
    '$element'
  ];

  function LiveMigrateInstanceController($window, $sce, $element) {
    var ctrl = this,
      available_hypervisors = [],
      allocated_hypervisors = [],
      $form = $element.closest('form'),
      form = $form[0];

    ctrl.model = form.modelHypervisors = {
      available: available_hypervisors,
      allocated: allocated_hypervisors
    };

    ctrl.tableLimits = {
      maxAllocation: 1
    };

    ctrl.tableHelp = {
      availHelpText: gettext('Select one')
    };

    loadHypervisors();

    $form.submit(function() {
      if (this.modelHypervisors.allocated.length) {
        var hostName = this.modelHypervisors.allocated[0].hostname;
        $(this).find('#id_host').val(hostName);
      }
    });

    function loadHypervisors() {
      if('hypervisors' in $window)
      {
        push.apply(available_hypervisors, $window.hypervisors);
      }
    }

    ctrl.trustedHtml = function(value) {
      return $sce.trustAsHtml(value);
    }

  }
})();
