# coding: utf-8

from openstack_dashboard.dashboards.project.instances import (
    tabs as project_tabs)
from tionix_scheduler_client.enums import ObjectTypeEnum, ObjectGroupEnum

from tionix_dashboard.dashboards.project.project_instances.tabs import (
    InstanceBareosTemplatesTab)
from tionix_dashboard.dashboards.tionix.metrics.instances.tabs import (
    InstanceMetricsTab)
from tionix_dashboard.dashboards.tionix.scheduler.tabs import ActiveTasksTab
from tionix_dashboard.dashboards.project.project_instances import (
    tabs as project_instances_tabs)


# noinspection PyClassHasNoInit
class TnxConsoleTab(project_instances_tabs.TnxConsoleTab):
    """Console tab for admin instance details"""
    full_screen_console = 'horizon:admin:instances:fullscreen_console'


# noinspection PyAbstractClass,PyClassHasNoInit
class TnxInstanceDetailTabs(project_instances_tabs.TnxInstanceDetailTabs):
    """Tionix admin instance details tab group"""
    tabs = (project_instances_tabs.NonVDIOverviewTab,
            project_instances_tabs.VDIOverviewTab,
            project_instances_tabs.TnxLogTab,
            TnxConsoleTab,
            project_instances_tabs.TnxAuditTab,
            ActiveTasksTab,
            InstanceMetricsTab,
            InstanceBareosTemplatesTab)


# noinspection PyAbstractClass,PyClassHasNoInit
class InstanceDetailTabs(project_tabs.InstanceDetailTabs):
    """Admin instance details tab group"""
    tabs = (project_tabs.OverviewTab,
            project_tabs.LogTab,
            project_tabs.ConsoleTab,
            project_tabs.AuditTab,
            InstanceMetricsTab,
            InstanceBareosTemplatesTab)
    obj_type = ObjectTypeEnum.instance
    obj_group = ObjectGroupEnum.admin
