# coding: utf-8

from django.conf.urls import patterns
from django.conf.urls import url

from openstack_dashboard.dashboards.admin.instances import urls

from tionix_dashboard.dashboards.admin.instances import views

INSTANCES = r'^(?P<instance_id>[^/]+)/%s$'

vdi_urls_tuple = (
    url(INSTANCES % 'detail',
        views.TnxDetailView.as_view(),
        name='detail'),

    url(INSTANCES % 'detail\?tab=instance_details__scheduler',
        views.TnxDetailView.as_view(),
        name='scheduler_tab'),

    url(INSTANCES % 'detail\?tab=instance_details__console',
        views.TnxDetailView.as_view(),
        name='console_tab'),

    url(INSTANCES % 'detail\?tab=instance_details__log',
        views.TnxDetailView.as_view(),
        name='log_tab'),

    url(INSTANCES % 'extra',
        views.InstanceExtraView.as_view(),
        name='extra'),

    url(r'^$',
        views.TnxAdminInstancesIndexView.as_view(),
        name='index'),
)

cc_urls_tuple = (
    url(r'^$',
        views.TnxAdminInstancesIndexView.as_view(),
        name='index'),

    url(INSTANCES % 'extra',
        views.InstanceExtraView.as_view(),
        name='extra'),

    url(INSTANCES % 'reset_state',
        views.ResetStateView.as_view(),
        name='reset_state'),

    url(INSTANCES % 'detail',
        views.TnxDetailView.as_view(),
        name='detail'),

    url(INSTANCES % 'detail\?tab=instance_details__scheduler',
        views.TnxDetailView.as_view(),
        name='scheduler_tab'),

    url(INSTANCES % 'detail\?tab=instance_details__console',
        views.TnxDetailView.as_view(),
        name='console_tab'),

    url(INSTANCES % 'detail\?tab=instance_details__log',
        views.TnxDetailView.as_view(), name='log_tab'),

    url(r'^live_migrate', views.TnxLiveMigrateView.as_view(),
        name='live_migrate'),

    url(r'^reset_state',
        views.ResetStateView.as_view(),
        name='reset_state'),
)

common_urls = (
    url(r'^$',
        views.AdminIndexView.as_view(),
        name='index'),

    url(INSTANCES % 'detail',
        views.DetailView.as_view(),
        name='detail'),

    url(INSTANCES % 'detail\?tab=instance_details__console',
        views.DetailView.as_view(),
        name='console_tab'),

    url(INSTANCES % 'detail\?tab=instance_details__log',
        views.DetailView.as_view(), name='log_tab'),

    url(INSTANCES % 'detail\?tab=instance_details__scheduler',
        views.DetailView.as_view(),
        name='scheduler_tab'),

    url(INSTANCES % 'detail\?tab=instance_details__bareos_templates_tab',
        views.DetailView.as_view(), name='bareos_templates_tab'),

    url(r'update',
        views.AdminUpdateView.as_view(),
        name='update'),
    url(urls.INSTANCES % 'fullscreen_console',
        views.FullScreenConsoleView.as_view(),
        name='fullscreen_console'),

    url(r'^delete',
        views.DeleteInstanceView.as_view(),
        name='delete'),

)


# Extend instances urls here
_urlpatterns = patterns(
    '',
    *(vdi_urls_tuple + cc_urls_tuple + common_urls)
)

_urlpatterns.extend(urls.urlpatterns)
urls.urlpatterns = _urlpatterns
