# coding: utf-8
from tionix_dashboard.dashboards.project.project_instances.workflows import (
    UpdateInstance, UpdateInstanceInfo, UpdateInstanceSecurityGroups)
from tionix_dashboard.url_resolve_map import ADMIN_SERVERS_INDEX


class AdminUpdateInstance(UpdateInstance):
    success_url = ADMIN_SERVERS_INDEX
    default_steps = (UpdateInstanceInfo,)

    # pylint: disable=no-member,keyword-arg-before-vararg
    def __init__(self, request=None, context_seed=None, entry_point=None,
                 *args, **kwargs):

        self.with_sec_groups_editable = (
            context_seed.get('project_id') is not None
            if context_seed else True
        )

        if self.with_sec_groups_editable:
            self.register(UpdateInstanceSecurityGroups)
        elif UpdateInstanceSecurityGroups in self._cls_registry:
            self.unregister(UpdateInstanceSecurityGroups)

        super(AdminUpdateInstance, self).__init__(
            request, context_seed, entry_point, *args, **kwargs)

    @classmethod
    def _unregister(cls, step):
        return step
