# coding: utf-8

from django.conf.urls import patterns
from django.conf.urls import url

from openstack_dashboard.dashboards.admin.networks import urls

from tionix_dashboard.dashboards.admin.networks import views


NETWORKS = r'^(?P<network_id>[^/]+)/%s$'


_urlpatterns = patterns(
    '',
    url(r'^create/$', views.CreateView.as_view(), name='create'),
    url(NETWORKS % 'update', views.UpdateView.as_view(), name='update'),
    url(NETWORKS % 'subnets/create',
        views.SubnetCreateView.as_view(), name='addsubnet'),
    url(NETWORKS % 'ports/create',
        views.PortCreateView.as_view(), name='addport'),
    url(NETWORKS % 'subnets/(?P<subnet_id>[^/]+)/update$',
        views.SubnetUpdateView.as_view(), name='editsubnet'),
    url(r'subnets/(?P<subnet_id>[^/]+)/detail',
        views.SubnetDetailView.as_view(),
        name='detail'),
    url(NETWORKS % 'ports/(?P<port_id>[^/]+)/update$',
        views.PortUpdateView.as_view(), name='editport'),
)
_urlpatterns.extend(urls.urlpatterns)
urls.urlpatterns = _urlpatterns
