
from horizon import tables
from django.utils.translation import ugettext_lazy as _
from openstack_dashboard.dashboards.project.routers.ports import (
    tables as routers_tables)
from tionix_dashboard.dashboards.project.project_routers.ports import (
    tables as project_tables)


# noinspection PyClassHasNoInit
class PortsTable(project_tables.PortsTable):
    name = tables.Column("name_or_id",
                         verbose_name=_("Name"),
                         link="horizon:admin:networks:ports:detail")

    class Meta(object):
        name = "interfaces"
        verbose_name = _("Interfaces")
        table_actions = (routers_tables.AddInterface,
                         routers_tables.RemoveInterface)
        row_actions = (routers_tables.RemoveInterface,)
