# coding: utf-8

from openstack_dashboard.test.helpers import BaseAdminViewTests

from tionix_dashboard.dashboards.admin.volumes.snapshots import tables


class TnxAdminSnapshotsTablesTest(BaseAdminViewTests):

    def test_tnx_snapshots_columns(self):

        table = tables.TnxVolumeSnapshotsTable(self.request)

        self.assertListEqual(
            sorted(table.columns.keys()),
            sorted(['actions', 'description', 'host', 'multi_select', 'name',
                    'size', 'status', 'tenant', 'volume_name'])
        )

    def test_tnx_snapshots_actions(self):
        snapshots = self.snapshots.list()

        table = tables.TnxVolumeSnapshotsTable(self.request, data=snapshots)

        self.assertListEqual(
            sorted([action.name for action in table.get_table_actions()]),
            sorted(['filter', 'delete'])
        )

    def test_tnx_snapshots_tenant_link(self):
        snapshot = self.cinder_volume_snapshots.first()

        table = tables.TnxVolumeSnapshotsTable(self.request)

        tenant_column = table.columns['tenant']

        # test volume's snapshot does not have this attribute
        setattr(snapshot, 'os-extended-snapshot-attributes:project_id', 1)

        self.assertEqual(
            tenant_column.get_link_url(snapshot),
            u'/identity/1/detail/'
        )
