# coding: utf-8

from django.utils.translation import ugettext_lazy as _
from django.core.urlresolvers import reverse_lazy

from tionix_dashboard.dashboards.project.project_volumes.volumes import (
    actions)
from tionix_dashboard.helpers.actions import TnxFilterAction


# noinspection PyAbstractClass
class TnxCreateBackup(actions.TnxCreateBackup):

    success_url = reverse_lazy("horizon:admin:volumes:backups_tab")


# noinspection PyAbstractClass
class VolumeFilterAction(TnxFilterAction):
    """Base volumes filter"""
    filter_type = "server"
    filter_choices = (
        ('tenant_name', _("Project"), False),
        ('host', _("Storage host"), False),
        ('name', _("Name"), False),
        ('size', _("Size"), False),
        ('status', _("Status"), False),
        ('volume_tape', _("Type"), False),
        ('attachments', _("Attached To"), False),
        ('bootable', _("Bootable"), False),
        ('encryption', _("Encrypted"), False))

    escape_enabled = False
