# coding: utf-8
# pylint: disable=no-member

"""Tionix domains urls"""

from django.conf.urls import patterns, url

from openstack_dashboard.dashboards.identity.domains import urls

from tionix_dashboard.dashboards.identity.domains import views


DOMAINS = r'^(?P<domain_id>[^/]+)/%s/$'

_urlpatterns = patterns(
    '',
    url(r'^$', views.IndexView.as_view(), name='index'),
    url(DOMAINS % 'edit_config',
        views.EditConfigurationView.as_view(),
        name='edit_config'),
    url(r'^create$', views.CreateDomainView.as_view(), name='create'),
    url(DOMAINS % 'update',
        views.UpdateDomainView.as_view(), name='update'),
    url(DOMAINS % 'set_up_backup',
        views.SetUpBackupView.as_view(), name='set_up_backup'),
)

_urlpatterns.extend(urls.urlpatterns)
urls.urlpatterns = _urlpatterns
