# Copyright 2013 Hewlett-Packard Development Company, L.P.
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.

from django.conf.urls import patterns
from django.conf.urls import url

from openstack_dashboard.dashboards.identity.groups import urls

from tionix_dashboard.dashboards.identity.groups import views


GROUP_ID = r'^(?P<group_id>[^/]+)/%s/$'


vdi_urls_tuple = (
    url(r'^$', views.TnxIndexView.as_view(), name='index'),
    url(GROUP_ID % 'detail', views.DetailView.as_view(), name='detail'),
)

urls_tuple = (
    url(r'^create$', views.CreateView.as_view(), name='create'),
    url(r'^(?P<group_id>[^/]+)/update/$', views.UpdateView.as_view(),
        name='update'),
    url(r'^(?P<group_id>[^/]+)/add_members/$',
        views.NonMembersView.as_view(), name='add_members'),
)

# Extend instances urls here
_urlpatterns = patterns('', *(vdi_urls_tuple + urls_tuple))

_urlpatterns.extend(urls.urlpatterns)
urls.urlpatterns = _urlpatterns
