/**
 * Created by user on 18.10.16.
 */
(function () {
  'use strict';

  var push = Array.prototype.push;
  var noop = angular.noop;

  /**
   * @ngdoc controller
   * @name ManageHostAggregatesController
   * @description
   * The `ManageHostAggregatesController` controller to manage host
   * aggregate in project.
   */
  angular.module('horizon.app')
    .controller('ManageHostAggregatesController', ManageHostAggregatesController);

  ManageHostAggregatesController.$inject = [
    '$element',
    'horizon.app.core.openstack-service-api.tnx'
  ];

  function ManageHostAggregatesController($element, tnxAPI) {
    var ctrl = this,
      available_aggregates = [],
      allocated_aggregates = [],
      $form = $element.closest('form'),
      form = $form[0];

    ctrl.model = form.modelAggregates = {
      available: available_aggregates,
      allocated: allocated_aggregates
    };

    ctrl.tableLimits = {
      maxAllocation: -1
    };

    ctrl.tableHelp = {
      availHelpText: gettext('Select one or more')
    };

    getAggregates();

    $form.submit(function() {
      $(this).find('#id_new_allocated')
        .val(angular.toJson(this.modelAggregates.allocated));
    });

    function getAggregates() {
      var project_id = $form.find('#id_project_id').val();
      tnxAPI.getAggregatesByProject(project_id).then(onGetAggregates, noop);
    }

    function onGetAggregates(data) {
      push.apply(available_aggregates, data.data.available);
      push.apply(allocated_aggregates, data.data.allocated);

      $form.find('#id_old_allocated')
        .val(angular.toJson(allocated_aggregates));

      return data;
    }

  }
})();
