# coding: utf-8
# pylint: disable=no-member

from django.conf.urls import patterns
from django.conf.urls import url

from openstack_dashboard.dashboards.identity.projects import urls

from tionix_dashboard.dashboards.identity.projects import views
from tionix_dashboard.dashboards.identity.projects.utils import (
    patch_project_cache
)

TENANT = r'^(?P<tenant_id>[^/]+)/%s/$'

vdi_urls_tuple = (
    url(r'^$', views.TnxIndexView.as_view(), name='index'),
    url(r'^create$', views.TnxCreateProjectView.as_view(), name='create'),
    url(TENANT % 'update',
        views.TnxUpdateProjectView.as_view(), name='update'),
    url(TENANT % 'detail',
        views.TnxDetailProjectView.as_view(), name='detail'),
    url(r'^delete', views.TnxDeleteTenantView.as_view(), name='delete'),
)

urls_tuple = (
    url(r'^$', views.IndexView.as_view(), name='index'),
    url(r'^create$', views.CreateProjectView.as_view(), name='create'),
    url(r'^(?P<project_id>[^/]+)/update/$',
        views.TnxUpdateProjectView.as_view(), name='update'),
    url(r'multi_update/$', views.TnxMultiUpdateProjectView.as_view(),
        name='multi_update'),
    url(r'^(?P<project_id>[^/]+)/detail/$',
        views.DetailProjectView.as_view(), name='detail'),
    url(r'^(?P<project_id>[^/]+)/manage_host_aggregates/$',
        views.ManageHostAggregatesView.as_view(),
        name='manage_host_aggregates'),
    url(r'^(?P<project_id>[^/]+)/set_up_monitoring/$',
        views.SetUpMonitoringView.as_view(),
        name='set_up_monitoring'),
    url(r'^delete', views.DeleteTenantView.as_view(), name='delete'),
)

# Extend instances urls here
_urlpatterns = patterns('', *(vdi_urls_tuple + urls_tuple))

_urlpatterns.extend(urls.urlpatterns)
urls.urlpatterns = _urlpatterns

# Patch to refresh project list for user
patch_project_cache()
