# coding: utf-8

from openstack_dashboard import api
from openstack_dashboard.api.keystone import get_default_domain


def tenant_list_for_user(request, user=None):
    # if requesting the projects for the current user,
    # return the list from the cache
    if user == request.user.id:
        tenants = request.user.authorized_tenants
    else:
        manager = api.keystone.VERSIONS.get_project_manager(request)

        if api.keystone.VERSIONS.active < 3:
            tenants = manager.list()
        else:
            domain = get_default_domain(request, get_name=False).get('id')
            tenants = manager.list(domain=domain)
    return tenants
