# coding: utf-8
from django.core.urlresolvers import reverse_lazy

from openstack_dashboard.dashboards.project.access_and_security.keypairs \
    import views, tables


class DetailView(views.DetailView):
    redirect_url = reverse_lazy('horizon:project:access_and_security:index')

    def get_context_data(self, **kwargs):
        context = super(DetailView, self).get_context_data(**kwargs)
        keypair = self._get_data()
        table = tables.KeypairsTable(self.request)
        context["url"] = self.redirect_url
        context["actions"] = table.render_row_actions(keypair)
        return context
