# coding: utf-8

from django import conf

from openstack_dashboard.dashboards.project.images.images import tabs


class TnxOverviewTab(tabs.OverviewTab):
    template_name = "images/_detail_overview.html"

    # noinspection PyShadowingNames
    def get_context_data(self, request):
        image = self.tab_group.kwargs['image']
        custom_titles = getattr(conf.settings,
                                'IMAGE_CUSTOM_PROPERTY_TITLES', {})
        custom_values = getattr(conf.settings,
                                'IMAGE_CUSTOM_PROPERTY_VALUES', {})
        image_props = []
        for prop, val in image.properties.items():
            if prop == 'description':
                # Description property is already listed in Info section
                continue
            title = custom_titles.get(prop, prop)
            value = custom_values.get(val, val)
            image_props.append((prop, title, value))

        return {"image": image,
                "image_props": sorted(image_props, key=lambda prop: prop[1])}


# noinspection PyAbstractClass
class TnxImageDetailTabs(tabs.ImageDetailTabs):
    tabs = (TnxOverviewTab,)
