# coding: utf-8
# pylint: disable=protected-access

"""Project Images tests"""


from tionix_dashboard.dashboards.project.project_images import tables
from tionix_dashboard.tests.helpers import BaseAdminClientTestCase


class TnxAdminImagesTablesTest(BaseAdminClientTestCase):

    def test_tnx_images_columns(self):

        table = tables.ProjectImagesTable(self.request)

        self.assertListEqual(
            sorted(table.columns.keys()),
            sorted(
                ['multi_select', 'name', 'image_type', 'status', 'public',
                 'protected', 'disk_format', 'size', 'actions']
            )
        )

    def test_tnx_images_actions(self):
        images = self.images.list()

        table = tables.ProjectImagesTable(self.request, data=images)

        self.assertListEqual(
            sorted([action.name for action in table.get_table_actions()]),
            sorted(['filter', 'create', 'delete'])
        )

    def test_tnx_images_row_actions(self):
        table = tables.ProjectImagesTable(self.request)

        image = self.tnx_images.list()[0]
        self.assertListEqual(
            sorted([action.name for action in table.get_row_actions(image)]),
            sorted(['launch_image_ng', 'create_volume_from_image', 'edit',
                    'update_metadata', 'delete'])
        )

        image = self.tnx_images.list()[1]
        self.assertListEqual(
            [action.name for action in table.get_row_actions(image)],
            []
        )

        image = self.tnx_images.list()[2]
        self.assertListEqual(
            sorted([action.name for action in table.get_row_actions(image)]),
            sorted(['delete'])
        )
