# coding: utf-8

"""Project images urls"""

from django.conf.urls import patterns
from django.conf.urls import url

from openstack_dashboard.dashboards.project.images import urls
from openstack_dashboard.dashboards.project.images.images import (
    urls as images_urls)
from openstack_dashboard.dashboards.project.images.snapshots import (
    urls as snapshots_urls)

from tionix_dashboard.dashboards.project.project_images import views


IMAGE_ID = r'^(?P<image_id>[^/]+)/%s/$'


index_url = url(r'^$', views.TnxIndexView.as_view(), name='index')

_index_urlpatterns = patterns('', index_url)
_index_urlpatterns.extend(urls.urlpatterns)
urls.urlpatterns = _index_urlpatterns


cc_images_urls_tuple = (
    url(IMAGE_ID % 'detail', views.DetailView.as_view(),
        name='img_detail'),
)

images_urls_tuple = (
    url(r'^create/$', views.CreateImageView.as_view(), name='create'),
    url(IMAGE_ID % 'update', views.UpdateImageView.as_view(), name='update'),
)

_images_urlpatterns = patterns('', *(images_urls_tuple + cc_images_urls_tuple))
_images_urlpatterns.extend(images_urls.urlpatterns)
images_urls.urlpatterns = _images_urlpatterns


snapshots_urls_tuple = (
    url(r'^(?P<instance_id>[^/]+)/create/$',
        views.CreateSnapshotView.as_view(),
        name='create'),
)

_snapshots_urlpatterns = patterns('', *snapshots_urls_tuple)
_snapshots_urlpatterns.extend(snapshots_urls.urlpatterns)
snapshots_urls.urlpatterns = _snapshots_urlpatterns
