# coding: utf-8

from django.conf.urls import patterns
from django.conf.urls import url

from openstack_dashboard.dashboards.project.instances import urls

from tionix_dashboard.dashboards.project.project_instances import views


vdi_urls_tuple = (
    url(urls.INSTANCES % '',
        views.TnxDetailView.as_view(),
        name='detail'),

    url(urls.INSTANCES % '\?tab=instance_details__console',
        views.TnxDetailView.as_view(), name='console_tab'),

    url(urls.INSTANCES % '\?tab=instance_details__log',
        views.TnxDetailView.as_view(), name='log_tab'),

    url(urls.INSTANCES % '\?tab=instance_details__scheduler',
        views.TnxIndexView.as_view(), name='scheduler_tab'),
)

cc_urls_tuple = (
    url(r'^$',
        views.TnxProjectInstancesIndexView.as_view(),
        name='index'),

    url(urls.INSTANCES % '\?tab=instance_details__scheduler',
        views.TnxIndexView.as_view(),
        name='scheduler_tab'),

    url(urls.INSTANCES % '\?tab=instance_details__console',
        views.TnxDetailView.as_view(), name='console_tab'),

    url(urls.INSTANCES % '\?tab=instance_details__log',
        views.TnxDetailView.as_view(), name='log_tab'),

    url(r'^reset_state',
        views.ResetStateView.as_view(),
        name='reset_state'),

    url(r'^launch_base',
        views.LaunchBaseView.as_view(),
        name='launch_base'),

    url(r'^(?P<instance_id>[^/]+)/$',
        views.TnxDetailView.as_view(),
        name='detail'),

    url(r'^delete',
        views.TnxDeleteInstanceView.as_view(),
        name='delete'),

    url(urls.INSTANCES % 'clone',
        views.CloneInstanceView.as_view(),
        name='clone'),
    url(urls.INSTANCES % 'attach_interface',
        views.AttachInterfaceView.as_view(),
        name='attach_interface'),
    url(urls.INSTANCES % 'detach_interface',
        views.DetachInterfaceView.as_view(),
        name='detach_interface'),
)

common_urls = (
    url(r'^$',
        views.IndexView.as_view(),
        name='index'),

    url(urls.INSTANCES % '',
        views.DetailView.as_view(),
        name='detail'),

    url(urls.INSTANCES % '\?tab=instance_details__console',
        views.DetailView.as_view(), name='console_tab'),

    url(urls.INSTANCES % '\?tab=instance_details__log',
        views.DetailView.as_view(), name='log_tab'),

    url(urls.INSTANCES % '\?tab=instance_details__bareos_templates_tab',
        views.DetailView.as_view(), name='bareos_templates_tab'),

    url(urls.INSTANCES % '\?tab=instance_details__scheduler',
        views.DetailView.as_view(),
        name='scheduler_tab'),

    url(r'^delete',
        views.DeleteInstanceView.as_view(),
        name='delete'),

    url(r'^launch',
        views.LaunchInstanceView.as_view(),
        name='launch'),
    url(r'update',
        views.UpdateView.as_view(),
        name='update'),
    url(urls.INSTANCES % 'fullscreen_console',
        views.FullScreenConsoleView.as_view(),
        name='fullscreen_console'),
    url(urls.INSTANCES % 'attach_volume',
        views.ManageVolumeAttachmentsView.as_view(),
        name='attach_volume'),
)

_urlpatterns = patterns(
    '', *(vdi_urls_tuple + cc_urls_tuple + common_urls)
)

_urlpatterns.extend(urls.urlpatterns)
urls.urlpatterns = _urlpatterns
