# coding: utf-8

from openstack_dashboard.dashboards.project.networks import (
    views as networks_views)
from openstack_dashboard.dashboards.project.networks.ports import (
    views as ports_views)
from openstack_dashboard.dashboards.project.networks.subnets import (
    views as subnets_views)

from tionix_dashboard.dashboards.project.project_networks import (
    forms, tabs, workflows
)


class CreateView(networks_views.CreateView):
    workflow_class = workflows.CreateNetwork


# noinspection PyClassHasNoInit
class UpdateView(networks_views.UpdateView):
    form_class = forms.UpdateNetwork


# noinspection PyClassHasNoInit
class SubnetUpdateView(subnets_views.UpdateView):
    workflow_class = workflows.UpdateSubnet


# noinspection PyClassHasNoInit
class PortUpdateView(ports_views.UpdateView):
    form_class = forms.UpdatePort


# noinspection PyClassHasNoInit
class SubnetCreateView(subnets_views.CreateView):
    workflow_class = workflows.CreateSubnet


# noinspection PyClassHasNoInit
class SubnetDetailView(subnets_views.DetailView):
    tab_group_class = tabs.SubnetDetailTabs
