# coding: utf-8

from django.utils.translation import ugettext_lazy as _

from horizon import forms

from openstack_dashboard.dashboards.project.routers import (
    forms as routers_forms)

from tionix_dashboard.helpers.fields import AutoGenNameCharField


# noinspection PyClassHasNoInit
class CreateForm(routers_forms.CreateForm):
    name = AutoGenNameCharField(label=_("Name"))
    admin_state_up = forms.ChoiceField(label=_("Admin State"),
                                       choices=[(True, _('UP')),
                                                (False, _('DOWN'))],
                                       required=False)


# noinspection PyClassHasNoInit
class UpdateForm(routers_forms.UpdateForm):
    name = AutoGenNameCharField(label=_("Name"))
    admin_state = forms.ChoiceField(choices=[(True, _('UP')),
                                             (False, _('DOWN'))],
                                    label=_("Admin State"))
