
from horizon import tables
from django.utils.translation import pgettext_lazy
from django.utils.translation import ugettext_lazy as _
from openstack_dashboard.dashboards.project.routers.ports import (
    tables as routers_tables)


DISPLAY_CHOICES = (
    ("UP", pgettext_lazy("Admin state of a Router", u"UP")),
    ("DOWN", pgettext_lazy("Admin state of a Router", u"DOWN")),
)


# noinspection PyClassHasNoInit
class PortsTable(routers_tables.PortsTable):
    admin_state = tables.Column("admin_state",
                                verbose_name=_("Admin State"),
                                display_choices=DISPLAY_CHOICES)

    class Meta(object):
        name = "interfaces"
        verbose_name = _("Interfaces")
        table_actions = (routers_tables.AddInterface,
                         routers_tables.RemoveInterface)
        row_actions = (routers_tables.RemoveInterface,)
