# coding: utf-8

from horizon import tabs

from openstack_dashboard import api
from openstack_dashboard.utils import filters

from openstack_dashboard.dashboards.project.routers import (
    views as routers_views)
from openstack_dashboard.dashboards.project.routers import tables as rtables

from tionix_dashboard.dashboards.project.project_routers.forms import (
    CreateForm, UpdateForm)
from tionix_dashboard.dashboards.project.project_routers import (
    tables as ttables, tabs as ttabs)


class CreateView(routers_views.CreateView):
    form_class = CreateForm


class UpdateView(routers_views.UpdateView):
    form_class = UpdateForm


class DetailView(routers_views.DetailView):
    tab_group_class = ttabs.RouterDetailTabs

    def get_context_data(self, **kwargs):
        # pylint: disable=bad-super-call
        context = super(tabs.TabbedTableView, self).get_context_data(**kwargs)
        router = self._get_data()
        table = rtables.RoutersTable(self.request)

        context["router"] = router
        context["url"] = self.failure_url
        context["actions"] = table.render_row_actions(router)
        context['dvr_supported'] = api.neutron.get_feature_permission(
            self.request, "dvr", "get")
        context['ha_supported'] = api.neutron.get_feature_permission(
            self.request, "l3-ha", "get")
        choices = rtables.STATUS_DISPLAY_CHOICES
        router.status_label = filters.get_display_label(choices, router.status)
        choices = ttables.ADMIN_STATE_DISPLAY_CHOICES
        router.admin_state_label = (
            filters.get_display_label(choices, router.admin_state))
        return context
