# coding: utf-8

"""Tnx project volumes actions"""

from django.utils.translation import ugettext_lazy as _

from tionix_dashboard.helpers.actions import TnxFilterAction


class BaseVolumeFilterAction(TnxFilterAction):
    """Detail volume's tabs filter"""
    filter_type = "server"
    filter_choices = (('name', _("Name"), False),
                      ('description', _("Description"), False),
                      ('size', _("Size"), False),
                      ('status', _("Status"), False))
    escape_enabled = False


class VolumeSnapshotsFilterAction(BaseVolumeFilterAction):
    """Volume snapshots filter"""
    filter_choices = (BaseVolumeFilterAction.filter_choices +
                      (('volume_name', _("Volume Name"), False),))
