# coding: utf-8

"""Tnx project snapshots tables"""


from openstack_dashboard.dashboards.project.volumes.backups import (
    tables as backups_tables)

from tionix_dashboard.helpers.actions import TnxBatchActionMixin
from tionix_dashboard.dashboards.project.project_volumes import actions
from tionix_dashboard.helpers.tables import TnxLocalPaginationTabDataTable


class DeleteBackup(TnxBatchActionMixin, backups_tables.DeleteBackup):
    pass


class BackupsTable(TnxLocalPaginationTabDataTable,
                   backups_tables.BackupsTable):
    """Volume backups table"""
    class Meta(backups_tables.BackupsTable.Meta):
        table_actions = (actions.VolumeSnapshotsFilterAction,
                         DeleteBackup)


# noinspection PyClassHasNoInit
class DetailVolumeBackupsTable(backups_tables.BackupsTable):
    """Detail volume backups table"""
    class Meta(backups_tables.BackupsTable.Meta):
        table_actions = (actions.BaseVolumeFilterAction,
                         DeleteBackup)
        columns = ('name', 'description', 'size', 'status')
