# coding: utf-8

"""Tnx project volume snapshots tabs"""

from django.utils.translation import ugettext_lazy as _

from horizon import tabs

from openstack_dashboard import api

from tionix_dashboard.dashboards.project.project_volumes.backups import (
    tables as backups_tables)
from tionix_dashboard.dashboards.project.project_volumes import helpers
from tionix_dashboard.helpers.views import ServerFilterTabMixin


class VolumeBackupsTab(ServerFilterTabMixin,
                       tabs.TableTab):
    """Volume's backups tab"""
    table_classes = (backups_tables.DetailVolumeBackupsTable,)
    name = _("Volume Backups")
    slug = "backups_tab"
    template_name = "horizon/common/_detail_table.html"
    preload = False

    def get_volume_backups_data(self):
        search_opts = self.get_filters(
            {'volume_id': self.tab_group.kwargs['volume_id']}
        )
        backups = helpers.get_cinder_backups(self.request, search_opts)
        volume = self.tab_group.kwargs['volume']
        for backup in backups:
            backup.volume = volume
        return backups

    def allowed(self, request):
        return api.cinder.volume_backup_supported(self.request)
