# coding: utf-8

from openstack_dashboard.utils import filters

from openstack_dashboard.dashboards.project.volumes.backups import (
    views as backups_views)
from openstack_dashboard.dashboards.project.volumes.backups import (
    tables as backup_tables)
from tionix_dashboard.dashboards.project.project_volumes.backups import (
    forms as backups_forms)


class CreateBackupView(backups_views.CreateBackupView):
    form_class = backups_forms.CreateBackupForm


class BackupDetailView(backups_views.BackupDetailView):

    def get_context_data(self, **kwargs):
        context = super(BackupDetailView, self).get_context_data(**kwargs)
        backup = context["backup"]
        choices = backup_tables.BackupsTable.STATUS_DISPLAY_CHOICES
        backup.status = filters.get_display_label(choices, backup.status)
        return context
