# coding: utf-8

"""Tnx project snapshots tables"""
from django.conf import settings
from django.utils.translation import ugettext_lazy as _

from horizon import tables

from openstack_dashboard.dashboards.project.volumes.snapshots import (
    tables as snapshots_tables)
from openstack_dashboard.dashboards.project.volumes.volumes import (
    tables as volumes_tables)

from tionix_dashboard.dashboards.project.project_volumes import actions
from tionix_dashboard.helpers.actions import TnxBatchActionMixin
from tionix_dashboard.helpers.tables import TnxLocalPaginationTabDataTable

STATUS_DISPLAY_CHOICES = (
    snapshots_tables.VolumeSnapshotsTable.STATUS_DISPLAY_CHOICES
)


class DeleteVolumeSnapshot(TnxBatchActionMixin,
                           snapshots_tables.DeleteVolumeSnapshot):
    pass


class VolumeSnapshotsTable(TnxLocalPaginationTabDataTable,
                           snapshots_tables.VolumeSnapshotsTable):
    class Meta(snapshots_tables.VolumeSnapshotsTable.Meta):
        table_actions = (actions.VolumeSnapshotsFilterAction,
                         DeleteVolumeSnapshot,)

        launch_actions = ()
        if getattr(settings, 'LAUNCH_INSTANCE_LEGACY_ENABLED', False):
            launch_actions = (
                (snapshots_tables.LaunchSnapshot,) + launch_actions
            )
        if getattr(settings, 'LAUNCH_INSTANCE_NG_ENABLED', True):
            launch_actions = (
                (snapshots_tables.LaunchSnapshotNG,) + launch_actions
            )


class DetailVolumeSnapshotsTable(volumes_tables.VolumesTableBase):

    name = tables.Column("name",
                         verbose_name=_("Name"),
                         link="horizon:project:volumes:snapshots:detail")

    class Meta(snapshots_tables.VolumeSnapshotsTable.Meta):
        table_actions = (actions.BaseVolumeFilterAction,
                         DeleteVolumeSnapshot)
