# coding: utf-8

from django.conf.urls import patterns
from django.conf.urls import url

from openstack_dashboard.dashboards.project.volumes.volumes import urls

from tionix_dashboard.dashboards.project.project_volumes.backups import (
    views as backup_views)
from tionix_dashboard.dashboards.project.project_volumes.volumes import views


_urlpatterns = patterns(
    '',
    url(r'^create/$',
        views.CreateVolumeView.as_view(),
        name='create'),
    url(r'^(?P<volume_id>[^/]+)/attach/$',
        views.EditAttachmentsView.as_view(),
        name='attach'),
    url(r'^(?P<volume_id>[^/]+)/create_transfer/$',
        views.CreateTransferView.as_view(),
        name='create_transfer'),
    url(r'^accept_transfer/$',
        views.AcceptTransferView.as_view(),
        name='accept_transfer'),
    url(r'^(?P<volume_id>[^/]+)/$',
        views.DetailView.as_view(),
        name='detail'),
    url(r'^create_snapshot',
        views.TnxCreateSnapshotView.as_view(),
        name='create_snapshot'),
    url(r'^(?P<volume_id>[^/]+)/create_backup/$',
        backup_views.CreateBackupView.as_view(),
        name='create_backup'),
    url(r'^delete',
        views.DeleteVolumeView.as_view(), name='delete'),
)

_urlpatterns.extend(urls.urlpatterns)
urls.urlpatterns = _urlpatterns
