# coding: utf-8

from django.conf import settings

from openstack_dashboard.dashboards.settings.user.views import UserSettingsView

from tionix_dashboard.dashboards.settings.user.forms import TnxUserSettingsForm


class TnxUserSettingsView(UserSettingsView):
    form_class = TnxUserSettingsForm

    def get_initial(self):
        initial = super(TnxUserSettingsView, self).get_initial()
        initial.update(timezone=self.request.session.get(
            'django_timezone',
            self.request.COOKIES.get('django_timezone', settings.TIME_ZONE)))
        return initial
