# coding: utf-8
"""Balancing compute hosts tests"""
from tionix_dashboard.dashboards.tionix.balancing.compute import tables
from tionix_dashboard.tests.helpers import BaseClientTestCase


class BalancingComputeHostsTablesTest(BaseClientTestCase):

    def test_compute_hosts_table(self):

        table = tables.ComputeHostsTable(self.request)

        self.assertListEqual(
            sorted(table.columns.keys()),
            sorted(['hostname', 'node_title', 'hypervisor_type', 'expandable',
                    'host_aggregates', 'is_reserved', 'vcpu', 'ram', 'disk'])
        )

    def test_host_classes_actions(self):

        table = tables.ComputeHostsTable(self.request, data=[])

        self.assertListEqual(
            sorted([action.name for action in table.get_table_actions()]),
            sorted(['filter_compute_hosts'])
        )
