# coding: utf-8

import logging

from django.utils.translation import ugettext_lazy as _

from horizon import forms, messages

from tionix_dashboard.clients.servers import TNXServersClient


logger = logging.getLogger(__name__)


# noinspection PyAbstractClass
class TnxBalanceForm(forms.SelfHandlingForm):
    # noinspection PyUnusedLocal
    def handle(self, request, data):
        instance_name = self.initial['instance_name']
        try:
            TNXServersClient.balance(request, self.initial['instance_id'])
        except Exception as err:
            messages.error(request,
                           _(u'Failed to balance: '
                             u'"{0}".').format(instance_name))
            logger.error(unicode(err))
        else:
            messages.success(request, _(u'Preparing to balance: '
                                        u'"{0}".').format(instance_name))
        return True
