# coding: utf-8

"""Balancing panel"""

from django.utils.translation import ugettext_lazy as _

from tionix_dashboard.dashboards.helpers import TionixPanel
from tionix_dashboard.dashboards.license import LicenseController
from tionix_dashboard.dashboards.tionix import dashboard


class Balancing(TionixPanel):
    """Balancing panel"""
    name = _('Balancing')
    slug = 'balancing'
    permissions = ('openstack.roles.admin', )
    policy_rules = (("identity", "admin_and_matching_domain_id"),)
    lic_type = LicenseController.NODE_CONTROL


dashboard.TionixDashboard.register(Balancing)
