# coding: utf-8

from django.utils.translation import ugettext_lazy as _
from django import forms

from tionix_dashboard.dashboards.tionix.frames.models import Frame
from tionix_dashboard.helpers.fields import AutoGenNameCharField


class FrameForm(forms.ModelForm):
    id = forms.Field(widget=forms.HiddenInput)
    user_id = forms.Field(widget=forms.HiddenInput)
    name = AutoGenNameCharField(label=_('Name'))
    url = forms.URLField(label=_('Address'),
                         help_text=_("An external (HTTP) URL to load frame."),)

    class Meta(object):
        model = Frame
        fields = ['id', 'user_id', 'name', 'url']
