# coding: utf-8
from django.http import HttpResponse, JsonResponse
from django.utils.translation import ugettext_lazy as _

from horizon import tabs
from tionix_dashboard.dashboards.tionix.frames.forms import FrameForm
from tionix_dashboard.dashboards.tionix.frames.models import Frame

from tionix_dashboard.dashboards.tionix.frames.tabs import FramesTabs


class IndexView(tabs.TabView):
    """Main page view."""
    tab_group_class = FramesTabs
    page_title = _('Frames')
    template_name = 'frames/index.html'


def frame_save_view(request):

    data = request.POST.copy()
    data['user_id'] = request.user.id

    frame, created = Frame.objects.get_or_create(
        id=request.POST.get('id') or None
    )
    data['id'] = frame.id
    form = FrameForm(data, instance=frame)
    success, msg = True, ''
    if form.is_valid():
        form.save()
        msg = unicode(_('Frame saved.'))
    else:
        success = False
        msg = form.errors.as_text()

    return JsonResponse({'result': success,
                         'id': frame.id if success else None,
                         'msg': msg})


def frame_delete_view(request):

    Frame.objects.get(id=request.POST['id']).delete()

    return HttpResponse()
