# coding: utf-8

import logging

from django.utils.translation import ugettext_lazy as _

from horizon import exceptions
from horizon.utils.memoized import memoized

from tionix_dashboard.clients.host_classes import TNXHostClassesClient


logger = logging.getLogger(__name__)


@memoized
def get_host_classes(request):
    host_classes = []
    try:
        host_classes = TNXHostClassesClient.list(request)
    except Exception as err:
        logger.error(unicode(err))
        exceptions.handle(request,
                          _('Unable to retrieve host classes list.'))

    return host_classes
