# coding: utf-8
import logging

from django.utils.translation import ugettext_lazy as _

from horizon import tabs

from tionix_dashboard.dashboards.tionix.infrastructure.host_classes import (
    tables as host_classes_tables)
from tionix_dashboard.helpers.views import ServerFilterTabMixin


logger = logging.getLogger(__name__)


# noinspection PyAbstractClass
class HostClassTypesTab(ServerFilterTabMixin, tabs.TableTab):
    """Tab for host class types"""
    table_classes = (host_classes_tables.HostClassTypesTable,)
    name = _('Host Class Types')
    slug = 'host_class_types_tab'
    template_name = 'horizon/common/_detail_table.html'
    preload = False

    def get_host_class_types_data(self):
        return self.tab_group.kwargs['host_class'].host_types


# noinspection PyAbstractClass
class HostClassTabs(tabs.TabGroup):
    """Tionix project details tab group"""
    slug = "tnx_project_details"
    tabs = (HostClassTypesTab,)
