# coding: utf-8
# pylint: disable=no-member


from openstack_dashboard.test import helpers as test

from tionix_dashboard.dashboards.tionix.infrastructure.host_classes import (
    tables)
from tionix_dashboard.tests.helpers import ClientTestMixin


class HostClassesTablesTestCase(ClientTestMixin, test.TestCase):
    def test_host_classes_actions(self):
        host_classes = self.host_classes.list()

        table = tables.HostClassesTable(self.request, data=host_classes)

        self.assertListEqual(
            sorted([action.name for action in table.get_table_actions()]),
            sorted(['filter_host_classes', 'create_host_class', 'delete'])
        )

    def test_host_classes_columns(self):
        table = tables.HostClassesTable(self.request)

        self.assertListEqual(
            sorted(table.columns.keys()),
            sorted(['actions', 'host_class_id', 'host_types',
                    'multi_select', 'name'])
        )

    def test_host_classes_row_actions(self):
        table = tables.HostClassesTable(self.request)

        host_class_default = self.host_classes.get(1)
        self.assertListEqual(
            sorted([action.name
                    for action in table.get_row_actions(host_class_default)]),
            sorted(['edit_host_class'])
        )

        host_class_not_default = self.host_classes.get(2)
        self.assertListEqual(
            sorted([
                action.name
                for action in table.get_row_actions(host_class_not_default)]),
            sorted(['delete', 'edit_host_class'])
        )
