# coding: utf-8

from django.conf.urls import url, patterns

from tionix_dashboard.dashboards.tionix.infrastructure.host_classes import (
    views)

INDEX_URL = r'^%s$'

HOST_CLASS = r'^(?P<host_class_id>[^/]+)/%s/$'
HOST_TYPE = r'^(?P<host_type_id>[^/]+)/%s/$'
HOST_CLASS_AND_TYPE = r'^(?P<host_class_id>[^/]+)/(?P<host_type_id>[^/]+)/$'

urlpatterns = patterns(
    '',
    url(HOST_CLASS % 'detail',
        views.DetailHostClassView.as_view(),
        name='detail'),
    url(HOST_CLASS % 'create_host_type',
        views.CreateHostClassTypeView.as_view(),
        name='create_host_type'),
    url(INDEX_URL % 'create_host_class',
        views.CreateHostClassView.as_view(),
        name='create_host_class'),
    url(HOST_CLASS % 'update_host_class',
        views.UpdateHostClassView.as_view(),
        name='update_host_class'),
    url(HOST_CLASS_AND_TYPE,
        views.UpdateHostClassTypeView.as_view(),
        name='update_host_type'),
)
