# coding: utf-8

from django.utils.translation import ugettext_lazy as _

from horizon import tabs


class OverviewTab(tabs.Tab):
    name = _("Overview")
    slug = "overview"
    template_name = "infrastructure/hosts/_detail_overview.html"

    def get_context_data(self, request, **kwargs):
        context = super(OverviewTab, self).get_context_data(request, **kwargs)
        context.update({
            'host': self.tab_group.kwargs['host']
        })
        return context


# noinspection PyAbstractClass
class HostDetailTabs(tabs.TabGroup):
    slug = "host_details"
    tabs = (OverviewTab,)
