# coding: utf-8

from django.conf.urls import url, patterns, include

from tionix_dashboard.dashboards.tionix.infrastructure import views
from tionix_dashboard.dashboards.tionix.infrastructure.hosts import (
    urls as hosts_urls)
from tionix_dashboard.dashboards.tionix.infrastructure.host_classes import (
    urls as host_classes_urls)

INDEX_URL = r'^%s$'

urlpatterns = patterns(
    '',
    url(INDEX_URL % '', views.IndexView.as_view(), name='index'),
    url(INDEX_URL % '\?tab=infrastructure_group__host_classes_tab',
        views.IndexView.as_view(),
        name='host_classes_tab'),
    url(r'', include(hosts_urls, namespace='hosts')),
    url(r'host_classes/',
        include(host_classes_urls, namespace='host_classes')),
)
