# coding: utf-8
import logging

from django.utils.translation import ugettext_lazy as _

from horizon import exceptions

from tionix_dashboard.clients import TNXServersClient
from tionix_dashboard.dashboards.helpers import Empty
from tionix_dashboard.dashboards.tionix.metrics.tabs import BareosTemplatesTab

logger = logging.getLogger(__name__)


# noinspection PyAbstractClass,PyCompatibility
class InstanceBareosTemplatesTab(BareosTemplatesTab):
    def get_bareos_templates_data(self):
        templates = []
        instance_id = self.tab_group.kwargs['instance_id']

        try:
            server = TNXServersClient.get(self.request, instance_id)
        except Exception as err:
            logger.error(unicode(err))
            exceptions.handle(self.request,
                              _('Unable to retrieve template list.'))
        else:
            templates = [Empty(**template)
                         for template in server.tnx_backup_templates or []]
        return templates
