# coding: utf-8

from tionix_dashboard.dashboards.utils import update_instances_list
from tionix_dashboard.clients import TNXServersClient


def get_user_instances(request, search_opts, sort_dir='desc',
                       is_last_page=False):
    """Retrieve instances for user's current tenant."""
    instances, has_more, has_prev, total_count = (
        TNXServersClient.get_paginator(
            request,
            sort_dir=sort_dir,
            search_opts=search_opts,
            last_page=is_last_page,
        )
    )
    tenants = request.user.authorized_tenants
    instances = update_instances_list(request, instances, tenants,
                                      project=True)
    return instances, has_more, has_prev, total_count
