# coding: utf-8

from django.db import models
from jsonfield import JSONField

from tionix_dashboard.dashboards.tionix.metrics.enums import MetricsTypes


class UserMetrics(models.Model):

    user_id = models.CharField(
        verbose_name=u'User ID', max_length=200)
    metric_type = models.SmallIntegerField(
        verbose_name=u'Metric type', choices=MetricsTypes.get_choices())
    metrics_names = JSONField(verbose_name=u'JSON metrics names')

    class Meta(object):
        db_table = 'tionix_user_metrics'
        verbose_name = 'Metrics selected by user for display.'
        unique_together = (('user_id', 'metric_type'),)
