# coding: utf-8
# pylint: disable=import-error

from django.utils.translation import ugettext_lazy as _

from openstack_dashboard import api
from openstack_dashboard import policy

from tionix_dashboard.dashboards.helpers import TionixPanel
from tionix_dashboard.dashboards.license import LicenseController
from tionix_dashboard.dashboards.tionix import dashboard


class Metrics(TionixPanel):
    name = _('Metrics')
    slug = 'metrics'
    lic_type = LicenseController.MONITOR

    def allowed(self, context):
        request = context['request']
        if (api.keystone.is_domain_admin(request) and not policy.check(
                (("compute", "compute:get_all_tenants"),), request)):
            return False
        return super(Metrics, self).allowed(context)


dashboard.TionixDashboard.register(Metrics)
