(function () {
  'use strict';

  angular.module('horizon.tionix.metrics.bareos')
    .controller('SingleSelectController', SingleSelectController);

  SingleSelectController.$inject = [
    '$element'
  ];

  function SingleSelectController($element) {

    var ctrl = this,
      available = [],
      allocated = [];

    ctrl.initField = initField;
    ctrl.$element = $element;
    ctrl.$form = $element.closest('form');

    ctrl.tableLimits = {
      maxAllocation: 1
    };

    ctrl.model = {
      available: available,
      allocated: allocated
    };

    function getAvailableFromField(field) {
      available.length = 0;
      field.find('option:not([value=""])').each(function(index, option){
        available.push({"name": option.text, "id": option.value});
      });
    }

    function initField(fieldId) {
      var $field = ctrl.$form.find('#' + fieldId);
      $field.closest('.form-group').hide();

      ctrl.$form.submit(function() {
        if (ctrl.model.allocated.length > 0) {
          $field.val(ctrl.model.allocated[0].id);
        }
      });

      getAvailableFromField($field);
    }
  }

})();

