# coding: utf-8

from django.conf.urls import include, patterns, url

from tionix_dashboard.dashboards.tionix.metrics import views
from tionix_dashboard.dashboards.tionix.metrics.bareos_templates import (
    urls as bareos_urls)
from tionix_dashboard.dashboards.tionix.metrics.instances import (
    urls as instances_urls)

urlpatterns = patterns(
    '',
    url(r'^$', views.MetricsIndexView.as_view(), name='index'),
    url(r'^\?tab=metrics_tabs__bareos_templates_tab',
        views.MetricsIndexView.as_view(), name='bareos_templates_tab'),
    url(r'^(?P<metric_type>[^/]+)/delete$',
        views.DeleteUnavailableMetrics.as_view(),
        name='delete_unavailable_metrics'),
    url(r'', include(instances_urls, namespace='instances')),
    url(r'bareos/', include(bareos_urls, namespace='bareos')),
)
