# coding: utf-8

from django.conf.urls import url, patterns

from tionix_dashboard.dashboards.tionix.scheduler import views


INDEX_URL = r'^$'
OBJECT_TYPE_GROUP = r'(?P<object_type>[^/]+)/(?P<object_group>[^/]+)/%s'
OBJECT_TYPE_GROUP_URL = r'^%s' % OBJECT_TYPE_GROUP
ID_AND_OBJECT_TYPE_GROUP_URL = r'^(?P<id>[^/]+)/' + OBJECT_TYPE_GROUP
ID_AND_NAME_URL = r'^(?P<id>[^/]+)/(?P<task_name>[^/]+)/%s'

urlpatterns = patterns(
    '',
    url(INDEX_URL, views.SchedulerView.as_view(), name='index'),
    url(OBJECT_TYPE_GROUP_URL % 'calendar',
        views.SchedulerCalendarView.as_view(), name='calendar'),
    url(OBJECT_TYPE_GROUP_URL % 'schedule_task',
        views.SchedulerWorkflowView.as_view(), name='schedule_task'),
    url(ID_AND_OBJECT_TYPE_GROUP_URL % 'repeat_schedule_task',
        views.RepeatSchedulerWorkflowView.as_view(),
        name='repeat_schedule_task'),
    url(r'^(?P<id>[^/]+)/show', views.ShowTaskDetailsView.as_view(),
        name='show'),
    url(ID_AND_NAME_URL % 'detail', views.TnxTaskDetailView.as_view(),
        name='detail'),
)
