# coding: utf-8

from collections import OrderedDict

from django.utils.translation import ugettext_lazy as _

from tionix_dashboard.helpers.base import BaseEnumerate


class OperationModeEnum(BaseEnumerate):
    """
    Enumerate operation modes.
    """
    STANDARD = '1'
    SIMULTANEOUS = '2'

    values = OrderedDict([
        (STANDARD, _('Standard')),
        (SIMULTANEOUS, _('Simultaneous')),
    ])
