# coding: utf-8
# pylint: disable=no-member

from django.conf.urls import url, patterns

from tionix_dashboard.dashboards.tionix.vdi.instances import views


INSTANCES = r'^(?P<instance_id>[^/]+)/%s$'
INSTANCE_TENANT = r'^(?P<tenant_id>[^/]+)/(?P<instance_id>[^/]+)/%s$'


urlpatterns = patterns(
    '',
    url(INSTANCE_TENANT % 'detail',
        views.DetailView.as_view(),
        name='detail'),
    url(r'^launch/$',
        views.VDIInstanceLaunchView.as_view(),
        name='launch'),
    url(INSTANCES % 'users',
        views.ManageMembersView.as_view(),
        name='users'),
    url(r'^rebuild',
        views.TnxRebuildView.as_view(),
        name='rebuild'),
    url(r'^reset_state',
        views.ResetStateView.as_view(),
        name='reset_state'),
    url(INSTANCE_TENANT % 'detail\?tab=instance_details__scheduler',
        views.DetailView.as_view(), name='scheduler_tab'),
    url(INSTANCE_TENANT % 'fullscreen_console',
        views.FullScreenConsoleView.as_view(),
        name='fullscreen_console'),
    url(INSTANCE_TENANT % 'clone',
        views.CloneVDIInstanceView.as_view(),
        name='clone'),
    url(r'^members_groups_manage',
        views.MultiManageMembersView.as_view(),
        name='members_groups_manage'),
    url(r'^update',
        views.VDIUpdateView.as_view(),
        name='update'),
    url(r'^delete',
        views.TnxVDIDeleteInstanceView.as_view(),
        name='delete'),
)
