# coding: utf-8
# pylint: disable=import-error

from django.utils.translation import ugettext_lazy as _

from openstack_dashboard import api
from openstack_dashboard import policy

from tionix_dashboard.dashboards.helpers import TionixPanel
from tionix_dashboard.dashboards.license import LicenseController
from tionix_dashboard.dashboards.tionix import dashboard


class VDI(TionixPanel):
    name = _("VDI")
    slug = 'vdi'
    policy_rules = (("identity", "identity:list_user_projects"),)
    lic_type = LicenseController.VDI

    def allowed(self, context):
        request = context['request']
        if (api.keystone.is_domain_admin(request) and not policy.check(
                (("compute", "compute:get_all_tenants"),), request)):
            return False
        return super(VDI, self).allowed(context)


dashboard.TionixDashboard.register(VDI)
