# coding: utf-8

from django.conf.urls import url, patterns

from tionix_dashboard.dashboards.tionix.vdi.projects import views

TENANT = r'^(?P<tenant_id>[^/]+)/%s/$'

urlpatterns = patterns(
    '',
    url(r'^create/$', views.CreateVDIProjectView.as_view(), name='create'),
    url(TENANT % 'update', views.UpdateVDIProjectView.as_view(),
        name='update'),
    url(r'^multi_update_projects', views.MultiUpdateVDIProjectView.as_view(),
        name='multi_update_projects'),
    url(TENANT % 'clone', views.CloneVDIProjectView.as_view(), name='clone'),
    url(r'^create_network/$', views.CreateVDIProjectNetworkView.as_view(),
        name='create_network'),
    url(TENANT % 'detail',
        views.DetailVDIProjectView.as_view(),
        name='detail'),
    url(r'^delete', views.TnxDeleteTenantView.as_view(), name='delete')
)
