/**
 * Created by user on 19.03.18.
 */
(function () {
  'use strict';

  var noop = angular.noop;

  /**
   * @ngdoc controller
   * @name LaunchVDIInstanceVolumesController
   * @description
   * The `LaunchVDIInstanceVolumesController` controller to manage attachments
   * template's jobdefs
   */
  angular.module('horizon.tionix.metrics.bareos')
    .controller('LaunchVDIInstanceVolumesController', LaunchVDIInstanceVolumesController);

  LaunchVDIInstanceVolumesController.$inject = [
    '$element',
    '$controller',
    'gbFilter',
    'noValueFilter',
    'horizon.app.core.openstack-service-api.tnx'
  ];

  function LaunchVDIInstanceVolumesController(
    $element,
    $controller,
    gbFilter,
    noValueFilter,
    tnxAPI) {

    var ctrl = this,
      baseCtrl = $controller('BaseInstanceAttachmentsController',
        {$element: $element,
         gbFilter: gbFilter,
         noValueFilter: noValueFilter,
         tnxAPI: tnxAPI}),
      stepId = $element.closest('fieldset').attr("id"),
      $stepAnchor = $('a[href=#' + stepId + ']'),
      $stepLi = $stepAnchor.closest('li'),
      $workflow = $stepLi.closest('.workflow'),
      projectChanged = true;

    $workflow.bootstrapWizard();

    angular.extend(ctrl, baseCtrl);

    var available = ctrl.model.available,
      allocated = ctrl.model.allocated;

    ctrl.$projectField = ctrl.$form.find('#id_project');
    ctrl.$instanceCountField = ctrl.$form.find('#id_instances_count');

    $stepAnchor.on('shown.bs.tab', function () {
      if (projectChanged) {
        getVolumes();
        projectChanged = false;
      }
    });

    ctrl.$projectField.on('change', function() {
      projectChanged = true;
    });

    ctrl.$instanceCountField.on('change', function() {
      var isSingleLaunch = parseInt(ctrl.$instanceCountField.val()) === 1,
        method = isSingleLaunch ? 'display' : 'hide';
      $workflow.bootstrapWizard(method, $stepLi.index());

    }).trigger('change');

    function getVolumes() {
      var params = {
        status: 'available',
        project_id: ctrl.$projectField.val()
      };

      available.length = 0;
      allocated.length = 0;

      tnxAPI.getTnxVolumes(params).then(ctrl.onGetVolumes, noop);
    }

  }

})();
