# coding: utf-8


from django.utils.translation import ugettext_lazy as _

from horizon import tables

from tionix_dashboard.dashboards.tionix.scheduler.helpers import transform_date
from tionix_dashboard.helpers.vm_constants import ConnectionTypeEnum
from tionix_dashboard.templatetags.tionix_tags import format_date
from tionix_dashboard.helpers.tables import TnxPaginationTabDataTable


class BaseSessionTable(TnxPaginationTabDataTable):

    user_name = tables.Column("user_name", verbose_name=_("User Name"))
    created_at = tables.Column(
        transform_date('created_at'),
        verbose_name=_("Created"),
        filters=(format_date, ))
    closed_at = tables.Column(
        transform_date('closed_at'),
        verbose_name=_("Closed"),
        filters=(format_date, ))
    connection_type = tables.Column(
        "connection_type",
        verbose_name=_('Connection'),
        display_choices=list(ConnectionTypeEnum.values.iteritems()))
    client_info = tables.Column("client_info", verbose_name=_('Client'))
    client_os = tables.Column("client_os", verbose_name=_('OS'))
    client_ip = tables.Column("client_ip", verbose_name=_('IP'))
