"""
URL patterns for the Tionix Dashboard.
"""

from django.conf.urls import patterns, url
from django.contrib.auth import signals

from openstack_dashboard.urls import urlpatterns as os_urlpatterns

from tionix_dashboard.dashboards import views
from tionix_dashboard.dashboards.helpers import (
    log_project_logout, log_project_login)

urlpatterns = patterns(
    '',
    url(r'^auth/switch/(?P<tenant_id>[^/]+)/$',
        views.switch,
        name='switch_tenants')
) + os_urlpatterns


# noinspection PyUnusedLocal
def log_user_login(sender, request, user, **kwargs):
    if user:
        log_project_login(
            user.tenant_id, user_id=user.id, user_name=user.username)
signals.user_logged_in.connect(log_user_login)


# noinspection PyUnusedLocal
def log_user_logout(sender, request, user, **kwargs):
    if user:
        log_project_logout(
            user.tenant_id, user_id=user.id, user_name=user.username)
signals.user_logged_out.connect(log_user_logout)
