# coding: utf-8

import logging

from openstack_auth.views import switch as openstack_auth_switch

from tionix_dashboard.dashboards.helpers import (
    log_project_login, log_project_logout)

logger = logging.getLogger(__name__)


def switch(request, tenant_id, *args, **kwargs):
    previous_tenant_id = request.user.tenant_id
    response = openstack_auth_switch(request, tenant_id, *args, **kwargs)
    if request.user.tenant_id == tenant_id:
        log_project_logout(
            previous_tenant_id,
            user_id=request.user.id,
            user_name=request.user.username)
        log_project_login(
            tenant_id,
            user_id=request.user.id,
            user_name=request.user.username)
    return response
