# coding: utf-8


class BaseEnumerate(object):
    """
    Enumerate Base class.
    """
    # Dict "values" keeps constants and its human-readable name.
    # Example: {STATE1: u'State 1', CLOSED: u'Closed'}
    values = {}

    @classmethod
    def get_choices(cls):
        """
        Used as a source of choices.
        """
        return cls.values.items()

    get_items = get_choices

    @classmethod
    def get_constant_value_by_name(cls, name):
        """
        Returns value of constant attribute that used as key.
        """
        if not isinstance(name, basestring):
            raise TypeError("'name' must be a string")

        if not name:
            raise ValueError("'name' must not be empty")

        return cls.__dict__[name]
