# coding: utf-8
from collections import OrderedDict

from django.utils.translation import ugettext_lazy as _, pgettext_lazy

from tionix_dashboard.helpers.base import BaseEnumerate


class ConditionTypes(BaseEnumerate):
    """
    Enumerate host's condition types.
    """
    OUT_OF_SERVICE = 0
    ENABLED = 1
    DISABLED = 2
    ALARM = 3
    RESERVED = 4

    values = OrderedDict([
        (OUT_OF_SERVICE, _('Out of service')),
        (ENABLED, pgettext_lazy("Host", "Enabled")),
        (DISABLED, _('Disabled')),
        (ALARM, _('Alarm')),
        (RESERVED, pgettext_lazy("Host", "Reserved")),
    ])
