/*
 *    (c) Copyright 2015 Hewlett-Packard Development Company, L.P.
 *
 * Licensed under the Apache License, Version 2.0 (the 'License');
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an 'AS IS' BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Overridden openstack factory of launch instance details fixes count
 * error message (openstack_dashboard/dashboards/project/static/dashboard/
 * project/workflow/launch-instance/launch-instance-workflow.service.js)
 *
 */
(function () {
  'use strict';

  angular
    .module('horizon.dashboard.project.workflow.launch-instance')
    .factory('horizon.dashboard.project.workflow.launch-instance.clone.workflow', cloneInstanceWorkflow);

  cloneInstanceWorkflow.$inject = [
    'horizon.dashboard.project.workflow.launch-instance.workflow'
  ];

  function cloneInstanceWorkflow(launchInstanceWorkflow) {

    var workflow = angular.copy(launchInstanceWorkflow);

    angular.extend(workflow,
      {title: gettext('Clone Instance'),
       btnText: {
        finish: gettext('Clone Instance')}
      });

    return workflow;
  }

})();
