/**
 * Created by user on 18.04.17.
 */
(function () {
  'use strict';
  angular
    .module('horizon.framework.util.validators')
    .directive('validateAscii', validateAscii);

  function validateAscii() {
    var directive = {
      require: 'ngModel',
      restrict: 'A',
      link: link
    };

    return directive;

    //////////

    function link(scope, element, attrs, ctrl) {
      ctrl.$parsers.push(validate);
      ctrl.$formatters.push(validate);

      attrs.$observe('validateAscii', function () {
        validate(ctrl.$modelValue);
      });

      function validate(value) {
        if (value) {
          var regex = /^[\x00-\x7F]+$/;
          ctrl.$setValidity('ascii', regex.test(value));
        }
        return value;
      }

    }
  }
})();
