/**
 * Created by user on 19.09.17.
 */
(function() {
  'use strict';

  angular
    .module('horizon.framework.widgets.modal')
    .factory('horizon.framework.widgets.modal.notify-modal.service', modalService);

  modalService.$inject = [
    '$modal',
    'horizon.framework.widgets.basePath',
    'horizon.framework.util.i18n.gettext'
  ];

  function modalService($modal, path, gettext) {
    var service = {
      modal: modal
    };
    return service;

    ////////////////////

    function modal(params) {
      if (params && params.title && params.body) {
        var options = {
          controller: 'NotifyModalController as modalCtrl',
          templateUrl: path + 'modal/notify-modal.html',
          resolve: {
            context: function() {
              return {
                title: params.title,
                body: params.body,
                button: params.button || gettext('OK')
              };
            }
          }
        };
        return $modal.open(options);
      }
    }
  }
})();
