/**
 * Created by user on 22.09.17.
 */
(function () {
  'use strict';

  angular
    .module('horizon.framework.util.filters')
    .filter('unorderedList', unorderedList)
    .filter('trustedHtml', trustedHtmlFilter);

  trustedHtmlFilter.$inject = [
    '$sce'
  ];


  function unorderedList() {
    return function (items, empty) {
      if (empty && items.length === 0) {
        return empty;
      }
      return '<ul>' + items.map(function(item) {
        return '<li>' + item + '</li>'
      }).join('') + '</ul>';
    };
  }

  function trustedHtmlFilter($sce) {
    return function (text) {
      return $sce.trustAsHtml(text);
    };
  }

})();
