/**
 * Created by user on 14.02.17.
 */

(function(){

  $(document).ready(function(){

      initFilterableSelect();

      // Also apply in modal views.
      horizon.modals.addModalInitFunction(initFilterableSelect);
  });


  horizon.forms.handle_submit = function (el) {
    var $form = $(el).find("form");
    $form.submit(function () {
      var $this = $(this);

      // // Remove input whitespaces
      $this.find('input:text').each(function(){
        var $input = $(this);
        $input.val($input.val().trim());
      });

      // Disable multiple submissions when launching a form.
      var button = $this.find('[type="submit"]');
      if (button.hasClass('btn-primary') && !button.hasClass('always-enabled')){
        $this.submit(function () {
          return false;
        });
        button.removeClass('primary').addClass('disabled');
        button.attr('disabled', 'disabled');
      }
      // Remove disabled attribute on select fields before submit to get value
      // included in POST request.
      $this.find('select[disabled="disabled"]').each(function (i, field) {
        $(field).removeAttr("disabled");
      });
      return true;
    });
  };

  /*
  * Filterable select field
  * */
  function initFilterableSelect() {

    // Bind handler for swapping labels on "filtering" select fields.
    $(document).on("change", 'select.filtering', function (evt) {
      var $fieldset = $(evt.target).closest('fieldset'),
        $filterings = $fieldset.find('select.filtering');

      $filterings.each(function (index, filtering) {
        var $filtering = $(filtering),
          slug = $filtering.data('slug'),
          visible = $filtering.is(':visible'),
          val = $filtering.val();

        function handle_filterable_field(index, select){
          var $select = $(select),
            dataFilterAttr = $select.data('filter-attr'),
            preValue = $select.val(),
            newValue = "",
            showOptions = $select
              .find('option[data-' + dataFilterAttr + '="' + val + '"]'),
            hideOptions = $select
              .find('option[data-' + dataFilterAttr + '!="' + val + '"]');

          showOptions.show();
          hideOptions.hide();

          if (preValue &&
            !!showOptions.filter('[value="' + preValue + '"]').length) {
            newValue = preValue;
          } else if (!$select.find('option:empty').length) {
            newValue = showOptions.first().text();
          }

          $select.val(newValue);
          $select.trigger('change');
        }

        $fieldset.find('.filterable[data-filter-on*="' + slug + '"]').each(handle_filterable_field);
        $fieldset.siblings().find('.filterable[data-filter-on*="' + slug + '"]').each(handle_filterable_field);
      });
    });

    $('select.filtering').trigger('change');

  }

})();
