(function(){

  horizon.membership.detect_no_results = function (step_slug) {
    $('.' + step_slug + '_filterable').each( function () {
      var css_class = $(this).find('ul').attr('class');
      // Example value: members step_slug_members
      // Pick the class name that contains the step_slug
      var filter = $.grep(css_class.split(' '), function(val){
        return val.indexOf(step_slug) !== -1;
      })[0];

      if (!$('.' + filter).children('ul:visible:not(.move-all-btn)').length) {
        $('#no_' + filter).show();
        $("input[id='" + filter + "']").attr('disabled', 'disabled');
        $('.' + filter + ' ul.move-all-btn').hide();
      }
      else {
        $('#no_' + filter).hide();
        $("input[id='" + filter + "']").removeAttr('disabled');
        $('.' + filter + ' ul.move-all-btn').show();
      }
    });
  };

  horizon.membership.update_all_members = function(step_slug) {
    $(".available_" + step_slug + ", ." + step_slug + "_members").on('click', ".btn-group a[href='#add_remove_all']", function (evt) {
      evt.preventDefault();
      var all_member_el = $(this).parent().parent();

      all_member_el.siblings().find('a[href="#add_remove"]').click();
    });
  };

  horizon.membership.clear_membership_data = function(modal, step_slug, step_id) {
    $(modal).find(".available_" + step_slug + ", ." + step_slug + "_members")
      .off('click', ".btn-group a[href='#add_remove']")
      .off('click', ".btn-group a[href='#add_remove_all']")
      .empty();
    $(modal).find("#" + step_id).find(".hide").empty();
    horizon.membership.detect_no_results(step_slug);
  };

  horizon.membership.reload_membership_data = function(modal, step_slug, step_id, data) {
    horizon.membership.clear_membership_data(modal, step_slug, step_id);
    $(modal).find("#" + step_id).find(".hide").append(data);
  };

  horizon.membership.workflow_init_with_server_load = function(modal, step_slug, step_id) {
      var $modal = $(modal),
        $form = $modal.find('form');

      $.ajax({
        type: 'GET',
        url: $form.attr('action'),
        headers: {
          'X-Horizon-Load-Members-Step': step_slug
        },
        data: $form.serialize(),
        dataType: 'json',
        async: false,
        success: function (data) {
          if (data.error) {
            $form.find('#' + step_id).find('.help_text').prepend(
              '<div class="alert alert-message alert-danger">' +
              data.error + '</div>');
          } else if (data.result) {
            horizon.membership.reload_membership_data($modal, step_slug, step_id, data.result);
          }
          setTimeout(function(){
            horizon.membership.workflow_init($modal, step_slug, step_id);
          }, 10)

        }
      });
  };

  /*
   * Calls set-up functions upon loading the workflow.
   **/
  horizon.membership.workflow_init = function(modal, step_slug, step_id) {
      $(modal).find('form').each( function () {
      var $form = $(this);

      // Do nothing if this isn't a membership modal
      if ($form.find('div.' + step_slug + '_membership').length === 0) {
        return; // continue
      }

      // call the initialization functions
      horizon.membership.init_properties(step_slug);
      horizon.membership.generate_html(step_slug);
      horizon.membership.update_membership(step_slug);
      horizon.membership.select_member_role(step_slug);
      horizon.membership.add_new_member(step_slug);


      // initially hide role dropdowns for available member list
      $form.find(".available_" + step_slug + " .role_options").hide();

      // hide the dropdown for members too if we don't need to show it
      if (!horizon.membership.has_roles[step_slug]) {
        $form.find("." + step_slug + "_members .role_options").hide();
      }

      // unfocus filter fields
      if (step_id.indexOf('update') === 0) {
        $form.find("#" + step_id + " input").blur();
      }

      // prevent filter inputs from submitting form on 'enter'
      $form.find('.' + step_slug + '_membership').keydown(function(event){
        if(event.keyCode === 13) {
          event.preventDefault();
          return false;
        }
      });

      // add filtering + styling to the inline obj creation btn
      horizon.membership.add_new_member_styling(step_slug);
      horizon.membership.list_filtering(step_slug);
      horizon.membership.detect_no_results(step_slug);
      horizon.membership.update_all_members(step_slug);

      // fix initial striping of rows
      $form.find('.fake_' + step_slug + '_table').each( function () {
        var filter = "." + $(this).attr('id');
        $(filter + ' .btn-group:even').addClass('dark_stripe');
        $(filter + ' .btn-group:last').addClass('last_stripe');
      });
    });
  }

}());