/**
 * Created by user on 29.11.16.
 */
(function() {

  horizon.addInitFunction(addLinkGoBackHandler);
  horizon.addInitFunction(addAjaxModalClickHandler);

  function addLinkGoBackHandler() {
    $(document).on('click', 'a.go-back', function () {
       location.href = document.referrer;
     });
  }

  function addAjaxModalClickHandler() {
    var $document = $(document);

    $document.off('click', '.ajax-modal');

    // Load modals for ajax-modal links with redirect.
    $document.on('click', '.ajax-modal', function (evt) {

      var $this = $(this);

      // If there's an existing modal request open, cancel it out.
      if (horizon.modals._request &&
        angular.isDefined(horizon.modals._request.abort)) {
        horizon.modals._request.abort();
      }

      horizon.modals._request = $.ajax($this.attr('href'), {
        beforeSend: function () {
          horizon.modals.modal_spinner(gettext("Loading"));
        },
        complete: function () {
          // Clear the global storage;
          horizon.modals._request = null;
          horizon.modals.spinner.modal('hide');
        },
        error: function(jqXHR) {
          if (jqXHR.status === 401){
            var redirectUrl = jqXHR.getResponseHeader("X-Horizon-Location");
            if (redirectUrl){
              location.href = redirectUrl;
            } else {
              location.reload(true);
            }
          }
          else {
            if (!horizon.ajax.get_messages(jqXHR)) {
              // Generic error handler. Really generic.
              horizon.alert("danger", gettext("An error occurred. Please try again later."));
            }
          }
        },
        success: function (data, textStatus, jqXHR) {
          var redirectUrl = jqXHR.getResponseHeader("X-Horizon-Location");
          if (redirectUrl) {
            location.href = redirectUrl;
          }
          var update_field_id = $this.attr('data-add-to-field'),
            modal,
            form;
          modal = horizon.modals.success(data, textStatus, jqXHR);
          if (update_field_id) {
            form = modal.find("form");
            if (form.length) {
              form.attr("data-add-to-field", update_field_id);
            }
          }
        }
      });
      evt.preventDefault();
    });
  }

}());
