# coding: utf-8

"""
Template tags for parsing date strings.
"""

from django import template

from tionix_dashboard.templatetags import tionix_tags

register = template.Library()


class ParseDateNode(template.Node):
    def render(self, datestring):
        """Parses a date-like input string into a timezone aware Python
        datetime.
        """
        return tionix_tags.format_date(datestring)


@register.filter(name='parse_date')
def parse_date(value):
    return ParseDateNode().render(value)
