# coding: utf-8

from tionix_client.tests.functional.base import ServiceType

from tionix_dashboard.helpers.i18 import ugettext as _
from tionix_dashboard.tests.functional.helpers import BaseDashTestCase
from tionix_scheduler_client.client import Client as SchedulerClient


class TionixConnectionTest(BaseDashTestCase):

    def test_nova_plugins_installed(self):
        """Verify that CloudControl extensions for Nova are loaded.

        :lang:ru Проверка на то, что расширение модуля CloudControl
        для службы Nova подключено.
        """

        alias = 'tnx-servers'
        self.check_is_admin_role()
        try:
            self.check_extension(alias)
        except Exception:
            self.fail_with_params(ServiceType.NOVA, _(self.extensions_msg),
                                  alias=alias)

    def test_node_control_extensions(self):
        """Verify that NodeControl extensions for Nova are loaded.

        :lang:ru Проверка на то, что расширение модуля NodeControl
        для службы Nova подключено.
        """
        alias = 'tnx-hypervisors'
        self.check_is_admin_role()
        try:
            self.check_extension(alias)
        except Exception:
            self.fail_with_params(ServiceType.NOVA, _(self.extensions_msg),
                                  alias=alias)

    def test_scheduler_connection(self):
        """Test connection to TIONIX.Scheduler.
        :lang:ru Проверка подключения к TIONIX.Scheduler.
        """

        scheduler_client = SchedulerClient(
            headers={'X-AUTH-TOKEN': self.keystone_client.auth_token})

        try:
            scheduler_client.get_tasks_list()
        except Exception:
            self.fail(_(u'Scheduler task list is not available.'))
