# coding: utf-8

from mock import patch, Mock

from tionix_client.tests.test_diagnostic.base import BaseTestDiagnostic

from tionix_dashboard.tests.functional import func_test_dashboard_localization


class LocalizationTestCase(BaseTestDiagnostic):
    case = func_test_dashboard_localization.LocalizationTestCase

    @patch('tionix_dashboard.tests.functional.'
           'func_test_dashboard_localization.'
           'LocalizationTestCase.get_module_path',
           new=Mock(return_value=None))
    def test_localization_files_no_packages(self):
        test_name = "test_localization_files"
        self.assert_test_fails(test_name)

    @patch('tionix_dashboard.tests.functional.'
           'func_test_dashboard_localization.'
           'LocalizationTestCase.get_module_path',
           new=Mock(return_value='/path/to/package'))
    @patch('tionix_dashboard.tests.functional.'
           'func_test_dashboard_localization.'
           'LocalizationTestCase.get_missing_files',
           new=Mock(return_value=['<localization_file>']))
    def test_localization_files_no_files(self):
        test_name = "test_localization_files"
        self.assert_test_fails(test_name)
