import os
import unittest
from tionix_dashboard import settings


class JSTest(unittest.TestCase):

    directory = settings.TNX_DASH_BASE_DIR
    checked_extensions = ('.js', '.html')
    search_str = "debugger"

    def get_js_file(self):
        """
        Generator to find all .js files in the project directory
        """
        for root, dirs, files in os.walk(self.directory):
            for cur_file in files:
                file_name, ext = os.path.splitext(cur_file)
                if ext in self.checked_extensions:
                    yield os.path.join(root, cur_file)

    def runTest(self):
        """
        Tests if there is an occurrence of word 'debugger' in
        .js files
        """

        for js_file in self.get_js_file():
            with open(js_file, 'r') as fh:
                for line in fh.readlines():
                    self.assertNotIn(
                        self.search_str, line,
                        "Encountered word 'debugger' in .js file: " + js_file)
